org.eclipse.jetty.http

## Interface HttpBuffers

All Known Implementing Classes:
  AbstractConnector, AbstractNIOConnector, Ajp13SocketConnector, BlockingChannelConnector, HttpBuffersImpl, HttpClient, InheritedChannelConnector, LocalConnector, NestedConnector, NetworkTrafficSelectChannelConnector, SelectChannelConnector, SocketConnector, SslSelectChannelConnector, SslSocketConnector

    public interface HttpBuffers

Abstract Buffer pool.

### Method Summary

Methods
`int` `getMaxBuffers()`
`Buffers` `getRequestBuffers()`
`int` `getRequestBufferSize()`
`Buffers.Type` `getRequestBufferType()`
`int` `getRequestHeaderSize()`
`Buffers.Type` `getRequestHeaderType()`
`Buffers` `getResponseBuffers()`
`int` `getResponseBufferSize()`
`Buffers.Type` `getResponseBufferType()`
`int` `getResponseHeaderSize()`
`Buffers.Type` `getResponseHeaderType()`
`void` `setMaxBuffers(int maxBuffers)`
`void` `setRequestBuffers(Buffers requestBuffers)`
`void` `setRequestBufferSize(int requestBufferSize)`
`void` `setRequestHeaderSize(int requestHeaderSize)`
`void` `setResponseBuffers(Buffers responseBuffers)`
`void` `setResponseBufferSize(int responseBufferSize)`
`void` `setResponseHeaderSize(int responseHeaderSize)`

### Method Detail

#### getRequestBufferSize

    int getRequestBufferSize()

Returns:
  the requestBufferSize

#### setRequestBufferSize

    void setRequestBufferSize(int requestBufferSize)

Parameters:
  `requestBufferSize` - the requestBufferSize to set

#### getRequestHeaderSize

    int getRequestHeaderSize()

Returns:
  the requestHeaderSize

#### setRequestHeaderSize

    void setRequestHeaderSize(int requestHeaderSize)

Parameters:
  `requestHeaderSize` - the requestHeaderSize to set

#### getResponseBufferSize

    int getResponseBufferSize()

Returns:
  the responseBufferSize

#### setResponseBufferSize

    void setResponseBufferSize(int responseBufferSize)

Parameters:
  `responseBufferSize` - the responseBufferSize to set

#### getResponseHeaderSize

    int getResponseHeaderSize()

Returns:
  the responseHeaderSize

#### setResponseHeaderSize

    void setResponseHeaderSize(int responseHeaderSize)

Parameters:
  `responseHeaderSize` - the responseHeaderSize to set

#### getRequestBufferType

    Buffers.Type getRequestBufferType()

Returns:
  the requestBufferType

#### getRequestHeaderType

    Buffers.Type getRequestHeaderType()

Returns:
  the requestHeaderType

#### getResponseBufferType

    Buffers.Type getResponseBufferType()

Returns:
  the responseBufferType

#### getResponseHeaderType

    Buffers.Type getResponseHeaderType()

Returns:
  the responseHeaderType

#### setRequestBuffers

    void setRequestBuffers(Buffers requestBuffers)

Parameters:
  `requestBuffers` - the requestBuffers to set

#### setResponseBuffers

    void setResponseBuffers(Buffers responseBuffers)

Parameters:
  `responseBuffers` - the responseBuffers to set

#### getRequestBuffers

    Buffers getRequestBuffers()

#### getResponseBuffers

    Buffers getResponseBuffers()

#### setMaxBuffers

    void setMaxBuffers(int maxBuffers)

#### getMaxBuffers

    int getMaxBuffers()